﻿<%@ Page Language="VB" %>

<!DOCTYPE html>

<script runat="server">
    ' Bereich für Variablen und Funktionen
    Dim textVariable1 As String = "testWert1"
    Dim anzahl As Integer = 5
    
    ' Funktion die eine For Schleife ausgibt
    Sub meineFunktion(ByVal zaehleBis As Integer)
        Dim i As Integer
        For i = 1 To zaehleBis
            Response.Write(i.ToString & "<br/>")
        Next
    End Sub
</script>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
    <title>VB.NET Inline Code</title>
</head>
<body>
    <form id="form1" runat="server">
    <h1>Das ist das VB Beispiel</h1>
        <p>Als erstes gebe ich einen Text mit einem Wert "<% response.Write(textVariable1) %>" aus einer Variable aus</p>
        <p>Jetzt gebe ich die gleiche Variable in einer Kurzschreibweise aus: <%=textVariable1%></p>
        <p>Eine kleine Rechnung mit VB: 5 + 4 = <% Response.Write(5 + 4)%></p>
        <%
            ' String definieren inklusive HTML Tags
            Dim tagString As String = "<p>Dieser Tag wurde mit VB erstellt und ausgegeben</p>"
            ' Diese String ausgeben
            Response.Write(tagString)
        %>
        <p>Formular</p>
        Vorname: <asp:TextBox ID="vorname" runat="server"></asp:TextBox><br />        
        Nachname: <asp:TextBox ID="nachname" runat="server"></asp:TextBox><br/>
        Bis wohin soll gezählt werden? <asp:TextBox ID="txtAnzahl" runat="server"></asp:TextBox><br/>
        <asp:Button ID="Button1" runat="server" Text="Absenden" />
        <p>Das Formular auswerten:</p>
        <%
            ' Abfragen ob die Felder aus dem Formular Daten beinhalten,
            ' wenn dem so ist werden Vor- und Nachname ausgegeben
            If Me.vorname.Text <> "" Then
                Response.Write("Der eingetragene Vorname: " & Me.vorname.Text & "<br/>")
            End If
            If Me.nachname.Text <> "" Then
                Response.Write("Der eingetragene Nachname: " & Me.nachname.Text & "<br/>")
            End If
            ' Wenn das Feld anzahl gesetzt wurde und numerisch ist wird die
            ' Anzahl in dem String ausgegeben und die Variable mit dem Wert aus dem
            ' Formular überschrieben
            If Me.txtAnzahl.Text <> "" And IsNumeric(Me.txtAnzahl.Text) Then
                anzahl = CInt(Me.txtAnzahl.Text)
                Response.Write("Der folgende Funktionsaufruf zählt bis: " & anzahl & "<br/>")
            Else
                ' Falls das Formularfeld nicht ausgefüllt wurde oder nicht numerisch ist
                ' wird dieser Satz ausgegeben
                Response.Write("Die Anzahl muss eine Zahl sein, es wird der Standardwert 5 verwendet")
            End If
        %>
        <p>Eine Funktion aufrufen die eine Ausgabe erzeugt</p>
        <%
            ' Die Funktion zur Schleifen Ausgabe aufrufen und die Variable Anzahl übergeben
            meineFunktion(anzahl)
        %>
    </form>
</body>
</html>
