using System;
using System.Configuration;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Net.Mail;
using System.Data;
using System.Data.SqlClient;



public partial class _Gaestebuch : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {

    }
    protected void btnSend_Click(object sender, EventArgs e)
    {
        // War die Page Validierung erfolgreich?
        if (Page.IsValid) {
            // Den ConnectionString WebseiteConnectionString aus der
            // Web.config auslesen
            var conString = System.Configuration.ConfigurationManager.ConnectionStrings["WebseiteConnectionString"];
            string ConnectionString = conString.ConnectionString;
	        // Ein Sql Verbindungs Objekt erstellen
	        SqlConnection sqlVerbindung = new SqlConnection(ConnectionString);

	        // Versuchen die Verbindung zu ffnen
	        try {
		        sqlVerbindung.Open();
		        // Ein Sql Befehl erstellen
	            SqlCommand sqlBefehl = new SqlCommand();

	            // Die Verbindung dem Sql Befehl zuweisen damit dieser weiss
	            // an welche Datenbank der Befehl geht
	            sqlBefehl.Connection = sqlVerbindung;

	            // Den Sql Befehl erstellen. Hierbei werden Parameter verwendet
	            string strSql = null;
	            strSql = "INSERT INTO Gaestebuch(Absender,Email,Nachricht)" + " VALUES(@Absender,@Email,@Nachricht)";

	            // Den Befehl an das Sql Objekt bergeben
	            sqlBefehl.CommandText = strSql;

	            // Die Parameter befllen
	            sqlBefehl.Parameters.AddWithValue("@Absender", this.txtName.Text);
	            sqlBefehl.Parameters.AddWithValue("@Email", this.txtEmail.Text);
	            sqlBefehl.Parameters.AddWithValue("@Nachricht", this.txtNachricht.Text);

	            // Den Sql Befehl ausfhren, ExecuteNonQuery gibt die Anzahl der
	            // betroffenen Zeilen zurck
	            int Zeilen = sqlBefehl.ExecuteNonQuery();

	            // Wenn eine Zeile in die Datenbank geschrieben wurde das Status Panel anzeigen
	            if (Zeilen > 0) {
		            this.pnlStatus.Visible = true;
		            this.Gaestebuch.Visible = false;
	            }

            } catch (Exception sqlEx) {
	            // Hier knnen Sie eine Fehlermeldung ausgeben lassen
            }
        }
    }
}

