﻿<%@ Page Language="C#" %>

<script runat="server">
    // Bereich für Variablen und Funktionen
    string textVariable1 = "testWert1";
    int anzahl = 5;
    
    // Funktion die eine For Schleife ausgibt
    public void meineFunktion(int zaehleBis) {
        for (int i = 1; i <= zaehleBis; i++) {
            Response.Write(i.ToString() + "<br/>");
        }
    }
</script>

<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
    <title>C# Inline Code</title>
</head>
<body>
    <form id="form1" runat="server">
    <h1>Das ist das C# Beispiel</h1>
        <p>Als erstes gebe ich einen Text mit einem Wert "<% Response.Write(textVariable1); %>" aus einer Variable aus</p>
        <p>Jetzt gebe ich die gleiche Variable in einer Kurzschreibweise aus: <%=textVariable1%></p>
        <p>Eine kleine Rechnung mit C#: 5 + 4 = <% Response.Write(5 + 4);%></p>
        <%
            // String definieren inklusive HTML Tags
            string tagString = "<p>Dieser Tag wurde mit C# erstellt und ausgegeben</p>";
            // Diese String ausgeben
            Response.Write(tagString);
        %>
        <p>Formular</p>
        Vorname: <asp:TextBox ID="vorname" runat="server"></asp:TextBox><br />        
        Nachname: <asp:TextBox ID="nachname" runat="server"></asp:TextBox><br/>
        Bis wohin soll gezählt werden? <asp:TextBox ID="txtAnzahl" runat="server"></asp:TextBox><br/>
        <asp:Button ID="Button1" runat="server" Text="Absenden" />
        <p>Das Formular auswerten:</p>
        <%
            // Abfragen ob die Felder aus dem Formular Daten beinhalten,
            // wenn dem so ist werden Vor- und Nachname ausgegeben
            if (this.vorname.Text != "") {
                Response.Write("Der eingetragene Vorname: " + this.vorname.Text + "<br/>");
            }
            if (this.nachname.Text != "") {
                Response.Write("Der eingetragene Nachname: " + this.nachname.Text + "<br/>");
            }
            // Wenn das Feld anzahl gesetzt wurde und numerisch ist wird die
            // Anzahl in dem String ausgegeben und die Variable mit dem Wert aus dem
            // Formular überschrieben    
            // Mit der TryParse Methode weisen wir die umgewandelte Zahl direkt der Variable
            // tmpAnzahl falls diese in ein In umgewandelt werden kann. Wenn es nicht möglich ist
            // wird der Variablen 0 zugewiesen. Diese vorgehensweise wird hier benutzt da es in C#
            // nicht direkt die IsNumeric Funktion gibt
            int tmpAnzahl = 0;
            if (this.txtAnzahl.Text != "" && Int32.TryParse(this.txtAnzahl.Text, out tmpAnzahl))
            {
                if (tmpAnzahl > 0)
                {
                    anzahl = tmpAnzahl;
                    Response.Write("Der folgende Funktionsaufruf zählt bis: " + tmpAnzahl.ToString() + "<br/>");
                }
            }
            else
            {
                // Falls das Formularfeld nicht ausgefüllt wurde oder nicht numerisch ist
                // wird dieser Satz ausgegeben
                Response.Write("Die Anzahl muss eine Zahl sein, es wird der Standardwert 5 verwendet");
            }
            
        %>
        <p>Eine Funktion aufrufen die eine Ausgabe erzeugt</p>
        <%
            // Die Funktion zur Schleifen Ausgabe aufrufen und die Variable Anzahl übergeben
            meineFunktion(anzahl);
        %>
    </form>
</body>
</html>
