﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class _Default : System.Web.UI.Page
{
    // Bereich für Variablen und Funktionen
    string textVariable1 = "testWert1";
    int anzahl = 5;

    protected void Page_Load(object sender, EventArgs e)
    {
        this.ltlVariable.Text = textVariable1;
        this.ltlRechnung.Text = (5 + 4).ToString();
        // String definieren inklusive HTML Tags
        string tagString = "<p>Dieser Tag wurde mit C# erstellt und ausgegeben</p>";
        // Diesen String ausgeben
        this.ltlHTML.Text = tagString;

        // Die Funktion zur Schleifen Ausgabe aufrufen und die Variable Anzahl übergeben
        meineFunktion(anzahl);
    }
    protected void Button1_Click(object sender, EventArgs e)
    {
        // Die Funktion zur Schleifen Ausgabe aufrufen und die Variable Anzahl übergeben
        meineFunktion(anzahl);
    }

    // Funktion die eine For Schleife ausgibt
    public void meineFunktion(int zaehleBis)
    {
        // Abfragen ob die Felder aus dem Formular Daten beinhalten,
        // wenn dem so ist werden Vor- und Nachname ausgegeben
        if (this.vorname.Text != "")
        {
            this.ltlVorname.Text = "Der eingetragene Vorname: " + this.vorname.Text;
        }
        if (this.nachname.Text != "")
        {
            this.ltlNachname.Text = "Der eingetragene Nachname: " + this.nachname.Text;
        }
        // Wenn das Feld anzahl gesetzt wurde und numerisch ist wird die
        // Anzahl in dem String ausgegeben und die Variable mit dem Wert aus dem
        // Formular überschrieben    
        // Mit der TryParse Methode weisen wir die umgewandelte Zahl direkt der Variable
        // tmpAnzahl falls diese in ein In umgewandelt werden kann. Wenn es nicht möglich ist
        // wird der Variablen 0 zugewiesen. Diese vorgehensweise wird hier benutzt da es in C#
        // nicht direkt die IsNumeric Funktion gibt
        int tmpAnzahl = 0;
        if (this.txtAnzahl.Text != "" && Int32.TryParse(this.txtAnzahl.Text, out tmpAnzahl))
        {
            if (tmpAnzahl > 0)
            {
                anzahl = tmpAnzahl;
                this.ltlInfo.Text = "Der folgende Funktionsaufruf zählt bis: " + tmpAnzahl.ToString();
            }
        }
        else
        {
            // Falls das Formularfeld nicht ausgefüllt wurde oder nicht numerisch ist
            // wird dieser Satz ausgegeben
            this.ltlInfo.Text = "Die Anzahl muss eine Zahl sein, es wird der Standardwert 5 verwendet";
        }

        this.lblSchleife.Text = "";
        for (int i = 1; i <= zaehleBis; i++)
        {
            this.lblSchleife.Text += i.ToString() + "<br/>";
        }
    }
}