Imports System.Net.Mail
Imports System.Data.SqlClient

Partial Class _Default
    Inherits System.Web.UI.Page

    Protected Sub btnSend_Click(sender As Object, e As EventArgs) Handles btnSend.Click
        ' War die Page Validierung erfolgreich?
        If Page.IsValid Then
            Try
                ' Ein Objekt vom Typ Mailadress erstellen das die
                ' Absender Adresse reprsentiert
                Dim absender As New MailAddress(Me.txtEmail.Text, Me.txtName.Text)

                ' Mailadress Objekt fr den Empfaenger des Kontaktformulars
                Dim empfaenger As New MailAddress("empfaenger@lebsites.de")

                ' Ein Objekt vom Typ MailMessage dem beim Erstellen die Absender
                ' und Empfnger Adresse bergeben wird
                Dim email As New MailMessage(absender, empfaenger)
                ' Den Betreff zuweisen
                email.Subject = "Kontakt ber Webseite"

                ' die Nachricht
                email.Body = Me.txtNachricht.Text

                ' Die Nachricht ber den Smtp Client versenden
                Dim emailClient As New SmtpClient
                emailClient.Send(email)

                Me.Kontaktformular.Visible = False
                Me.pnlStatus.Visible = True
            Catch ex As Exception
                ' Den ConnectionString WebseiteConnectionString aus der
                ' Web.config auslesen
                Dim ConnectionString As String
                ConnectionString = ConfigurationManager.ConnectionStrings("WebseiteConnectionString").ConnectionString
                ' Ein Sql Verbindungs Objekt erstellen
                Dim sqlVerbindung As New sqlconnection(ConnectionString)

                ' Versuchen die Verbindung zu ffnen
                Try
                    sqlVerbindung.Open()
                    ' Ein Sql Befehl erstellen
                    Dim sqlBefehl As New SqlCommand()

                    ' Die Verbindung dem Sql Befehl zuweisen damit dieser weiss
                    ' an welche Datenbank der Befehl geht
                    sqlBefehl.Connection = sqlVerbindung

                    ' Den Sql Befehl erstellen. Hierbei werden Parameter verwendet
                    Dim strSql As String
                    strSql = "INSERT INTO Kontaktanfragen(Absender,Email,Nachricht)" _
                        & " VALUES(@Absender,@Email,@Nachricht)"

                    ' Den Befehl an das Sql Objekt bergeben
                    sqlBefehl.CommandText = strSql

                    ' Die Parameter befllen
                    sqlBefehl.Parameters.AddWithValue("@Absender", Me.txtName.Text)
                    sqlBefehl.Parameters.AddWithValue("@Email", Me.txtEmail.Text)
                    sqlBefehl.Parameters.AddWithValue("@Nachricht", Me.txtNachricht.Text)

                    ' Den Sql Befehl ausfhren, ExecuteNonQuery gibt die Anzahl der
                    ' betroffenen Zeilen zurck
                    Dim Zeilen As Integer = sqlBefehl.ExecuteNonQuery()

                    ' Wenn eine Zeile in die Datenbank geschrieben wurde das Status Panel anzeigen
                    If Zeilen > 0 Then
                        Me.pnlStatus.Visible = True
                        Me.Kontaktformular.Visible = False
                    End If

                Catch sqlEx As Exception
                    ' Hier knnen Sie eine Fehlermeldung ausgeben lassen
                End Try

            End Try

        End If
    End Sub
End Class
